Hello Shafique-

I believe this discussion on the mailing list from a month ago goes over the same issue: https://mail-archives.apache.org/mod_mbox/zookeeper-user/201711.mbox/%[EMAIL PROTECTED]%3e

The issue has been fixed in 3.5 and there are some issues that need to be taken into account regarding backwards compatibility if we are to fix this on the 3.4 line.

Thanks,
Abe

On Tue, Dec 26, 2017, at 05:19, Shafique Jamal wrote: